/*  Alien Pool
    Copyright (C) 2003  Michael J. Korman <mike@taequin.org>

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

/**
 * @file Level.hh
 * Describes the Level structure.
 */

/**
 * Structure to represent a level.
 */
struct Level {
    int num_aliens; /**< Number of aliens. */
    int alien_change; /**< Rate of change of aliens. */
    int dumbalien_change; /**< Rate of change of dumb aliens. */
    int alien_dumb_time; /**< Time aliens remain dumb for. */
    int alien_shoot_time; /**< Alien between alien shots. */
};

